.upload-field {
    position: relative;
    overflow: hidden;
    font-size: 0;
    line-height: 0;
    cursor: pointer;
}

.upload-field input {
  position: absolute;
  width: 1px;
  height: 1px;
  margin: -1px;
  border: 0;
  padding: 0;
  white-space: nowrap;
  clip-path: inset(100%);
  clip: rect(0 0 0 0);
  overflow: hidden;
}

.upload-field__content {
    display: block;
    width: 100%;
    padding: 13px 14px 12px 48px;
    border-radius: 12px;
    border: 1px solid var(--line);
    background: #fff;
    color: var(--text);
    font-size: 13px;
    line-height: 1.2em;
}

.upload-field__icon {
    display: block;
    width: 24px;
    height: 24px;
    position: absolute;
    top: 7px;
    left: 14px;
    font-size: 0;
    line-height: 0;
}

.upload-field__filename {
    width: 100%;
    text-overflow: ellipsis;
    overflow: hidden;
    white-space: nowrap;
}